<?php
/* Copyright (C) 2023 Florian Charlaix <support@open-dsi.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file    autosignature/class/jobs.class.php
 * \ingroup autosignature
 * \brief   AutoSignature jobs class.
 */

dol_include_once('/core/lib/admin.lib.php');

class AutoSignatureJobs {
    function generateAll() {
        global $conf, $db;

        
        $sql = 'SELECT rowid FROM '.MAIN_DB_PREFIX.'user WHERE statut = 1';
        $result = $db->query($sql);

        if (!$result) {
            return -1;
        }

        $users = array();
        $i = 0;
        $num = $db->num_rows($result);
        $min = min($num, ($limit <= 0 ? $num : $limit));

        while ($i < $min) {
            $obj = $db->fetch_object($result);
            $user = new User($db);
            if ($user->fetch($obj->rowid)) {
                $user->getrights('autosignature');
                if ($user->rights->autosignature->generate->read) {
                    $this->generate($user);
                }
            }
            $i++;
        }

        return 0;
    }

    function generate($target) {
        global $conf, $db, $user, $langs;

        $substitutionarray = getCommonSubstitutionArray($langs, 0, null, $target);
        complete_substitutions_array($substitutionarray, $langs, $target);
        $target->signature = make_substitutions($conf->global->AUTOSIGNATURE_TEMPLATE, $substitutionarray, $langs);
        $target->update($user);
    }
}