<?php
/* Copyright (C) 2023       Florian Charlaix    <support@open-dsi.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

dol_include_once('/core/lib/date.lib.php');

/**
 *  \file       htdocs/custom/autosignature/core/substitutions/subOpenDsi.lib.php
 *  \ingroup    autosignature
 *  \brief      Set of substitution functions for the autosignature module
 */

 /**
  * Substitution function for tickets mailing
  * 
  * @param  array		$substitutionarray		Array substitution old value => new value value
  * @param  Translate	$outputlangs            Output language
  * @param  Object		$object                 Source object
  * @return void
  */

function autosignature_completesubstitutionarray(&$substitutionarray, $langs, $object, $parameters) {
    global $langs, $conf, $db, $mysoc;

    if (!is_a($object, User::class)) {
        return;
    }

    $substitutionarray['__USER_JOB__'] = $object->job;
    $substitutionarray['__USER_TEL__'] = $object->office_phone;
    $substitutionarray['__USER_MOBIL__'] = $object->user_mobile;
    $substitutionarray['__MYCOMPANY_OBJECT__'] = $mysoc->object;
    $substitutionarray['__MYCOMPANY_WEB__'] = $mysoc->url;
}
